/// <reference types="react" />
import { INewTagInput, ITagGroupProps, ITagProps } from './types';
/**
 * Internal Tag root
 *
 * @internal
 */
declare const TagRoot: import("styled-components").StyledComponent<"div", import("packages/types/dist/src/theme/theme").ITidyUITheme, ITagProps, never>;
/**
 * Tag icon component
 *
 * @internal
 */
declare const TagCloseIcon: import("styled-components").StyledComponent<(props: import("react").HTMLAttributes<SVGElement>) => JSX.Element, import("packages/types/dist/src/theme/theme").ITidyUITheme, ITagProps, never>;
/**
 * TagGroup root component
 *
 * @internal
 */
declare const TagGroupRoot: import("styled-components").StyledComponent<"div", import("packages/types/dist/src/theme/theme").ITidyUITheme, ITagGroupProps, never>;
/**
 * Icon embedded inside add new tag button
 *
 * @internal
 */
declare const AddNewTagIcon: import("styled-components").StyledComponent<(props: import("packages/types/dist/src").IIconProps) => JSX.Element, import("packages/types/dist/src/theme/theme").ITidyUITheme, ITagGroupProps, never>;
/**
 * Input field for adding new tag
 *
 * @internal
 */
declare const NewTagInput: import("styled-components").StyledComponent<"input", import("packages/types/dist/src/theme/theme").ITidyUITheme, INewTagInput, never>;
export { AddNewTagIcon, NewTagInput, TagCloseIcon, TagGroupRoot, TagRoot };
